### Function

# GdkPixbuf.PixbufSaveFunc

#### Declaration

    gboolean
    PixbufSaveFunc (
      const gchar* buf,
      gsize count,
      GError** error,
      gpointer data
    )

#### Description [src]

Save functions used by `gdk_pixbuf_save_to_callback()`.

This function is called once for each block of bytes that is “written” by `gdk_pixbuf_save_to_callback()`.

If successful it should return `TRUE`; if an error occurs it should set `error` and return `FALSE`, in which case `gdk_pixbuf_save_to_callback()` will fail with the same error.

#### Parameters

`buf` | An array of `guint8`
| bytes to be written.
| The length of the array is in the `count` argument
| Ownership is not transferred to the callee
`count` | `gsize`
| number of bytes in `buf`.
`error` | `GError**`
| A location to return an error.
| Direction: out
| Ownership of the data is transferred to the callee
`data` | `gpointer`
| user data passed to `gdk_pixbuf_save_to_callback()`.

#### Return value

Returns: `gboolean`
`TRUE` if successful, `FALSE` otherwise